import ExplorationEvaluation from "../domain/ExplorationEvaluation";
import Question from "../domain/Question";
import StateForTabScript from "../domain/StateForTabScript";

export default interface Interface4TabScript {

  addAnswerToExploration(question: Question, value: boolean);

  getStateForTabScript() : StateForTabScript;

  getProbabilities(): Promise<{
  state: StateForTabScript;
  probabilityMap: string;
  } | void>;
  

  getComments(): Promise<{
  state: StateForTabScript;
  commentDistributionList: string;
  } | void>;
  
  addActionToExploration(kind: string, value: string): Promise<void>;

  upComment(type: string, value: string): void;

  setPopupCommentPosition(position : {x: string, y: string});

  getExplorationEvaluation(): Promise<ExplorationEvaluation>;

}